Name:          libXdamage
Version:       1.1.4
Release:       1mamba
Summary:       X.Org Xdamage library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        http://ftp.x.org/pub/individual/lib/libXdamage-%{version}.tar.bz2
License:       MIT
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: libXfixes-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXfixes-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libxcb-devel
BuildRequires: xproto-devel
## AUTOBUILDREQ-END
%ifarch x86_64_disabled
BuildRequires: gcc-multilib
BuildRequires: glibc-multilib-devel
BuildRequires: lib32-libX11-devel
BuildRequires: lib32-libXau-devel
BuildRequires: lib32-libXfixes-devel
BuildRequires: lib32-libpthread-stubs-devel
BuildRequires: lib32-libxcb-devel
%endif
Obsoletes:     libXorg

%description
X.Org Xdamage library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libXorg-devel

%description devel
X.Org Xdamage library.

This package contains static libraries and header files needed for development.

%package -n lib32-%{name}
Summary:       X.Org Xdamage library
Group:         System/Libraries

%description -n lib32-%{name}
X.Org Xdamage library (32 bit).

%package -n lib32-%{name}-devel
Summary:       Devel package for lib32-%{name}
Group:         Development/Libraries
Requires:      lib32-%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib32-%{name}-devel
X.Org Xdamage library (32 bit).
This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%ifarch x86_64_disabled
# x86_64 lib64 support
make clean
CC=%{_target_platform}-gcc \
CFLAGS="%{optflags} -m32" \
CXXLAGS="%{optflags} -m32" \
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib

make
make install DESTDIR=`pwd`/lib32
cp -a lib32/%{_prefix}/lib %{buildroot}%{_prefix}/
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n lib32-%{name} -p /sbin/ldconfig
%postun -n lib32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libXdamage.so.*
%doc COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libXdamage.a
%{_libdir}/libXdamage.la
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/X11/extensions/Xdamage.h

%ifarch x86_64_disabled
%files -n lib32-%{name}
%defattr(-,root,root)
%{_prefix}/lib/libXdamage.so.*
%doc AUTHORS COPYING

%files -n lib32-%{name}-devel
%defattr(-,root,root)
%{_prefix}/lib/libXdamage.a
%{_prefix}/lib/libXdamage.la
%{_prefix}/lib/libXdamage.so
%{_prefix}/lib/pkgconfig/xdamage.pc
%endif

%changelog
* Sun Jan 13 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-2mamba
- rebuilt to add pkgconfig provides

* Wed Jun 09 2010 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Mon Oct 12 2009 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- update to 1.1

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- update to version 1.0.4 by autospec

* Wed Dec 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- package created by autospec
